package net.seelisoft.anruflaut;

import android.content.Context;
import android.media.AudioManager;
import android.media.MediaPlayer;

public class Ringer {
    private MediaPlayer mp;

    public Ringer(Context context, int volume, boolean eigenerKlingelton) {
        AudioManager audioManager = (AudioManager)context.getSystemService(Context.AUDIO_SERVICE);
        audioManager.setStreamVolume(AudioManager.STREAM_MUSIC, volume, 0);

        if (eigenerKlingelton) {
            try {
                mp = new MediaPlayer();
                mp.setDataSource(context.getFileStreamPath(Constants.eigenerKlingeltonFilename).getPath());
                mp.prepare();
            } catch (Throwable t) {
                Logger.log("Ringer", "Fehler beim Verwenden vom eigenen File.", t);
                mp = null;
            }
        }

        if (mp == null) {
            mp = MediaPlayer.create(context, R.raw.anruf);
        }
        mp.setLooping(true);
        mp.start();
        Logger.log("CallReceiver", "Ringer Start (Vol: " + volume + ")");
    }

    public void stop() {
        mp.stop();
        mp.release();
        mp = null;
        Logger.log("CallReceiver", "Ringer Stop");
    }
}
